﻿local L = AceLibrary("AceLocale-2.2"):new("sRaidFrames")

-------------------------------------------------------------------------------
-- Localization                                                              --
-------------------------------------------------------------------------------

L:RegisterTranslations("enUS", function() return {
	["hidden"] = true,
	["shown"] = true,

	["Lock"] = true,
	["Lock/Unlock the raid frames"] = true,

	["Show"] = true,
	["Show the raid frames"] = true,

	["Hide in 5 man raids"] = true,
	["Do not show the raid frames in raids with 5 players or less"] = true,

	["Health text"] = true,
	["Set health display type"] = true,
	["Current and max health"] = true,
	["Health deficit"] = true,
	["Current health with deficit"] = true,
	["Health percentage"] = true,
	["Current health"] = true,
	["Hide health text"] = true,

	["Invert health bars"] = true,
	["Invert the growth of the health bars"] = true,

	["Buff Filter"] = true,
	["Set a list of buffs to be displayed, rather than displaying all castable buffs"] = true,
	["Add buff"] = true,
	["Add a buff"] = true,
	["<name of buff>"] = true,
	["Remove buff"] = true,
	["Remove buffs from the filter"] = true,
	["Remove %s from the buff filter"] = true,
	
	["Debuff blacklist"] = true,
	["Set a list of debuffs to never be displayed"] = true,
	["Debuff whitelist"] = true,
	["Set a list of debuffs to always be displayed"] = true,
	["Add debuff"] = true,
	["Add a debuff"] = true,
	["<name of debuff>"] = true,
	["Remove debuff"] = true,
	["Remove debuffs from the filter"] = true,
	["Remove %s from the filter"] = true,

	["Show group titles"] = true,
	["Toggle display of titles above each group frame"] = true,
	["Member sort order"] = true,
	["Select how you wish to sort the members of each group"] = true,
	["By class"] = true,
	["Blizzard default"] = true,
	["Group by"] = true,
	["Select how you wish to show the groups"] = true,
	["By group"] = true,
	["By role"] = true,
	["Tanks"] = true,
	["Melee DPS"] = true,
	["Range DPS"] = true,
	["Healers"] = true,

	["Current filter set is now '%s'"] = true,
	["Set: "] = true,
	[" |cff00ff00[Active]|r "] = true,
	["|cff00ff00Activate this set!"] = true,
	["|cffff0000Delete this set"] = true,
	["Rename this set"] = true,
	["<Name>"] = true,
	["Frame #"] = true,
	["Frame "] = true,
	["Caption"] = true,
	["<Caption>"] = true,
	["|cffff0000Remove frame|r"] = true,
	["Remove this frame from this filter"] = true,
	["Sort method"] = true,
	["Select which method to use for sorting"] = true,
	["By player name"] = true,
	["By position in group"] = true,
	["Sort direction"] = true,
	["Select in which direction to sort players"] = true,
	["Descending"] = true,
	["Ascending"] = true,
	["Strict filtering"] = true,
	["If set, characters must match both a group and a class from the list"] = true,
	["Classes contained in this frame"] = true,
	["Groups contained in this frame"] = true,
	["Group "] = true,

	["Buff/Debuff visibility"] = true,
	["Show buffs or debuffs on the raid frames"] = true,
	["Only buffs"] = true,
	["Only debuffs"] = true,
	["Buffs if not debuffed"] = true,
	["Buff Blacklist"] = true,
	["Set a list of buffs to not be displayed"] = true,
	["Buff Display"] = true,
	["Set which buffs are displayed"] = true,
	["Set a list of buffs to be exclusively displayed"] = true,
	["Show all buffs"] = true,
	["Show buffs cast by anyone from my class"] = true,
	["Show buffs cast by me"] = true,
	["Power type visiblity"] = true,
	["Toggle the display of certain power types (Mana, Rage, Energy)"] = true,
	["Mana"] = true,
	["Toggle the display of mana bars"] = true,
	["Energy & Focus"] = true,
	["Toggle the display of energy and focus bars"] = true,
	["Rage"] = true,
	["Toggle the display of rage bars"] = true,
	["Show only curable debuffs"] = true,
	["Show only debuffs that are curable by me"] = true,

	["Bar textures"] = true,
	["Set the texture used on health and mana bars"] = true,

	["Scale"] = true,
	["Set the scale of the raid frames"] = true,
	
	["Positioning"] = true,
	["Set the positioning of the raid frames"] = true,
	["Reset position"] = true,
	["Reset the position of sRaidFrames"] = true,
	["Predefined position"] = true,
	["Set a predefined position for the raid frames"] = true,
	["CT_RaidAssist"] = true,
	["Horizontal"] = true,
	["Vertical"] = true,
	
	["Layout"] = true,
	["Set the layout of the frames based on presets"] = true,
	
	["CT_RaidAssist"] = true,
	["CT_RaidAssist (Without Borders)"] = true,
	["CT_RaidAssist (Without borders, Wide)"] = true,

	["Debuff colors"] = true,
	["Colors"] = true,
	["Set the diffirent colors of the raid frames"] = true,
	["Background color"] = true,
	["Change the background color"] = true,
	["Border color"] = true,
	["Change the border color"] = true,
	["Magic debuff"] = true,
	["Change the background color for magic debuffs"] = true,
	["Curse debuff"] = true,
	["Change the background color for curse debuffs"] = true,
	["Poison debuff"] = true,
	["Change the background color for poison debuffs"] = true,
	["Disease debuff"] = true,
	["Change the background color for disease debuffs"] = true,
	["Health text color"] = true,
	["Change the color of the health text"] = true,
	
	["Tooltip display"] = true,
	["Unit tooltips"] = true,
	["Debuff tooltips"] = true,
	["Buff tooltips"] = true,
	["Determine when a tooltip is displayed"] = true,
	["Never"] = true,
	["Only when not in combat"] = true,
	["Always"] = true,

	["Highlight units with aggro"] = true,
	["Turn the border of units who have aggro red"] = true,
	["Highlight targetted unit"] = true,
	["Turn the border of unit you are targetting orange"] = true,
	
	["Heal tracking"] = true,
	["Options for heal tracking"] = true,
	["Enable heal tracking"] = true,
	["Turn the border of units getting heals green"] = true,
	["Show self heals"] = true,
	["Show heals originating from yourself"] = true,
	["Show users and versions"] = true,
	["Show a list of users whom are broadcasting heal data"] = true,

	["Range"] = true,
	["Options for range checks"] = true,
	["Enable range check"] = true,
	["Enable range checking"] = true,
	["The range at which a unit is considered out of range"] = true,
	["(%d+) yd range"] = true,
	["%d yards"] = true,

	["Ready?"] = true,
	["Display ready check"] = true,
	["Display readiness status for the raid"] = true,

	["Alpha"] = true,
	["The alpha level for units who are out of range"] = true,
	["Frequency"] = true,
	["The interval between which range checks are performed"] = true,

	["Show Group/Class"] = true,
	["Toggle the display of certain Groups/Classes"] = true,
	["Classes"] = true,
	["Warriors"] = true,
	["Toggle the display of Warriors"] = true,
	["Paladins"] = true,
	["Toggle the display of Paladins"] = true,
	["Shamans"] = true,
	["Toggle the display of Shamans"] = true,
	["Hunters"] = true,
	["Toggle the display of Hunters"] = true,
	["Warlocks"] = true,
	["Toggle the display of Warlocks"] = true,
	["Mages"] = true,
	["Toggle the display of Mages"] = true,
	["Druids"] = true,
	["Toggle the display of Druids"] = true,
	["Rogues"] = true,
	["Toggle the display of Rogues"] = true,
	["Priests"] = true,
	["Toggle the display of Priests"] = true,

	["Groups"] = true,
	["Group %d"] = true,
	["Group 1"] = true,
	["Toggle the display of Group 1"] = true,
	["Group 2"] = true,
	["Toggle the display of Group 2"] = true,
	["Group 3"] = true,
	["Toggle the display of Group 3"] = true,
	["Group 4"] = true,
	["Toggle the display of Group 4"] = true,
	["Group 5"] = true,
	["Toggle the display of Group 5"] = true,
	["Group 6"] = true,
	["Toggle the display of Group 6"] = true,
	["Group 7"] = true,
	["Toggle the display of Group 7"] = true,
	["Group 8"] = true,
	["Toggle the display of Group 8"] = true,

	["Growth"] = true,
	["Set the growth of the raid frames"] = true,
	["Up"] = true,
	["Down"] = true,
	["Left"] = true,
	["Right"] = true,

	["Show borders"] = true,
	["Toggle the display of borders around the raid frames"] = true,
	["Frame Spacing"] = true,
	["Set the spacing between each of the raid frames"] = true,

	["Advanced"] = true,
	["Advanced options"] = true,
	["Status elements"] = true,
	["Manage status elements"] = true,
	["|cffff0000Delete all statuses|r"] = true,
	["Resets all status maps, requires a RELOAD UI to initate the default maps"] = true,
	["Priority"] = true,
	["Set the priority"] = true,
	["Enabled"] = true,
	["Enable the status indicator"] = true,
	["GUI Elements"] = true,
	["Set which elements this status will use"] = true,
	["Color"] = true,
	["Set which color this status will use"] = true,
	["Text"] = true,
	["Set which text this status will show"] = true,

	--bindings
	["Show/Hide Raid Windows"] = true,
	["Toggle Sort"] = true,
	["Sort by class"] = true,
	["Sort by group"] = true,
	["Toggle Buff/Debuff view"] = true,
	["Toggle display of only dispellable debuffs"] = true,

	["Offline"] = true,
	["Released"] = true,
	["Dead"] = true,
	["Resurrected"] = true,
	["Resurrecting"] = true,
	["Can Recover"] = true,
	["Feign Death"] = true,
	["Unknown"] = true,

	["Warrior"] = true,
	["Mage"] = true,
	["Paladin"] = true,
	["Shaman"] = true,
	["Druid"] = true,
	["Hunter"] = true,
	["Rogue"] = true,
	["Warlock"] = true,
	["Priest"] = true,

	["Intervened"] = true,
	["Innervating"] = true,
	["Spirit"] = true,
	["Vanished"] = true,
	["Stealthed"] = true,
	["Infused"] = true,
	["Protection"] = true,
	
	["Ready!"] = true,
	["Filter set"] = true,
	["State"] = true,
	["|cff00ff00<Active>|r"] = true,
	["|cffffffff<Click to activate>|r"] = true,
	["AFK: Away From Keyboard"] = true,
	["Heal Tracking enabled"] = true,
	["DND: Do Not Disturb"] = true,
	["Frame Behaviour"] = true,
	["Informational"] = true,
	["Appearance"] = true,
	["Filter/Sort sets"] = true,
	["Toggle the display of certain Groups/Classes"] = true,
	["Reset to default"] = true,
	["Reset to default sets"] = true,
	
	["Players"] = true,
	["A comma separated list of player names, i.e: PLAYER1,PLAYER2,PLAYER3"] = true,
	["<PLAYER1,PLAYER2,PLAYER3>"] = true,
	
	["Add new frame"] = true,
	["Add a new frame with the title entered here"] = true,
	
	["Add new set"] = true,
	["Add a new set of frames"] = true,
	
	
	
	["Highlight debuffed units"] = true,
	["Highlight units afflicted by a certain debuff type"] = true,
	["All dispellable debuffs"] = true,
	["Debuffs dispellable by me"] = true,
	
	["Buffs & Debuffs"] = true,
	["Debuffs"] = true,
	["Debuff settings"] = true,
	["Buffs"] = true,
	["Buff settings"] = true,

	["Right-click for options."] = true,
} end)
